Plant Info by Fuel Type

Get all plants and their info for a specific fuel type

This endpoint will return information about a plant, given its fuel type.

Using the LCPDelta Python Package

Synchronous (package version 2.1.1 and later)

from lcp_delta import enact

enact_api_helper = enact.APIHelper(username, public_api_key)

response_dictionary = enact_api_helper.get_plant_details_by_fuel(
	"CCGT" # Enact plant ID
)

print(response_dictionary)

Asynchronous (package version 2.1.1 and later)

from lcp_delta import enact
import asyncio

async def main():
    enact_api_helper = enact.APIHelper(username, public_api_key)

    response_dictionary = await enact_api_helper.get_plant_details_by_fuel_async(
        "CCGT" # Enact plant ID
    )

    print(response_dictionary)

asyncio.run(main())
Body Params
string
required

Other, Biomass, CCGT, CHP, Coal, OCGT, Hydro, Nuclear, Wind, PumpedStorage, Supply, Battery, InterconnectorEastWest, InterconnectorFrance, InterconnectorIreland, InterconnectorNetherlands, InterconnectorNemo, InterconnectorElecLink, InterconnectorIfa2, InterconnectorNorthSeaLink, Oil, BSAD, GasRecip, Solar, InterconnectorVikingLink

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json